### Enumeration

# Cogl AttributeType

#### Declaration

    enum Cogl.AttributeType

#### Description [src]

Data types for the components of a vertex attribute.

#### Members

`COGL_ATTRIBUTE_TYPE_BYTE`

  Data is the same size of a byte.

  - Value: `5120`
  - Available since: 16
`COGL_ATTRIBUTE_TYPE_UNSIGNED_BYTE`

  Data is the same size of an unsigned byte.

  - Value: `5121`
  - Available since: 16
`COGL_ATTRIBUTE_TYPE_SHORT`

  Data is the same size of a short integer.

  - Value: `5122`
  - Available since: 16
`COGL_ATTRIBUTE_TYPE_UNSIGNED_SHORT`

  Data is the same size of an unsigned short integer.

  - Value: `5123`
  - Available since: 16
`COGL_ATTRIBUTE_TYPE_FLOAT`

  Data is the same size of a float.

  - Value: `5126`
  - Available since: 16